
%global base_name    net
%global short_name   commons-%{base_name}

Name:           apache-%{short_name}
Version:        3.6
Release:        %mkrel 5
Summary:        Internet protocol suite Java library
License:        ASL 2.0
Group:          Development/Java
URL:            http://commons.apache.org/%{base_name}/
Source0:        http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:exec-maven-plugin)


%description
This is an Internet protocol suite Java library originally developed by
ORO, Inc.  This version supports Finger, Whois, TFTP, Telnet, POP3, FTP,
NNTP, SMTP, and some miscellaneous protocols like Time and Echo as well
as BSD R command support. The purpose of the library is to provide
fundamental protocol access, not higher-level abstractions.

%package javadoc
Summary:    API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{short_name}-%{version}-src

# This test fails with "Connection timed out"
rm src/test/java/org/apache/commons/net/time/TimeTCPClientTest.java
# Fails in Koji with "Address already in use"
rm src/test/java/org/apache/commons/net/tftp/TFTPServerPathTest.java

%mvn_file  : %{short_name} %{name}
%mvn_alias : org.apache.commons:%{short_name}

%build
%mvn_build -- -Dcommons.osgi.symbolicName=org.apache.commons.net

%install
%mvn_install


%files -f .mfiles
%doc README.md RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt




%changelog
* Sun Aug 23 2020 neoclust <neoclust> 3.6-5.mga8
+ Revision: 1618229
- Rebuild against java11

* Sat Feb 15 2020 umeabot <umeabot> 3.6-4.mga8
+ Revision: 1527536
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 3.6-3.mga8
+ Revision: 1422300
- Rebuild to regenerate OSGi metadata

* Wed Dec 12 2018 daviddavid <daviddavid> 3.6-2.mga7
+ Revision: 1340718
- rebuild against fixed apache-commons-parent (fixes osgi meta)

* Mon Dec 10 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1339716
- new version: 3.6 (sync with fc29)

* Thu Sep 20 2018 umeabot <umeabot> 3.4-3.mga7
+ Revision: 1277591
- Mageia 7 Mass Rebuild

* Mon Feb 22 2016 neoclust <neoclust> 3.4-2.mga6
+ Revision: 975998
- Rebuild against new apache-commons-*

* Sun Dec 20 2015 zezinho <zezinho> 3.4-1.mga6
+ Revision: 912451
- new version

* Thu Dec 25 2014 pterjan <pterjan> 3.3-9.mga5
+ Revision: 805572
- Clean rebuild

* Tue Dec 16 2014 pterjan <pterjan> 3.3-8.mga5
+ Revision: 803565
- Bump release
+ dmorgan <dmorgan>
- Restore from Obsolete
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 3.3-7.mga5
+ Revision: 743105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3-6.mga5
+ Revision: 677819
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 3.3-5.mga4
+ Revision: 563619
- Disable tests

* Tue Oct 22 2013 umeabot <umeabot> 3.3-4.mga4
+ Revision: 545646
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 3.3-3.mga4
+ Revision: 501524
- Build with xmvn

* Thu Jul 11 2013 dmorgan <dmorgan> 3.3-2.mga4
+ Revision: 453195
- Build with xmvn

* Mon Jul 08 2013 dmorgan <dmorgan> 3.3-1.mga4
+ Revision: 451323
- New version

* Fri Jan 11 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 345815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3.1-1.mga3
+ Revision: 292662
- New version

* Mon Jun 25 2012 dmorgan <dmorgan> 2.2-5.mga3
+ Revision: 263654
- Use maven 3 to build

* Wed Apr 27 2011 dmorgan <dmorgan> 2.2-4.mga1
+ Revision: 92244
- Rebuild after bootstrapping
- imported package apache-commons-net


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 10 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-1
- Replace maven plugins with apache-commons-parent for BR
- Versionless jars and javadocs
- Rebase to latest upstream version

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-6
- Add license to javadoc subpackage

* Thu May 20 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-5
- Fix maven depmap JPP name to short_name

* Wed May 19 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-4
- Ignore test failure

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-3
- Rename jakarta-commons-net to apache-commons-net and drop EPOCH
- Build with maven
- Clean up whole spec

* Thu Aug 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.0-2
- Set maven.repo.local.

* Thu Aug 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.0-1
- Update to upstream 2.0.

